import request from '@/utils/request'

// 查询导入错误明细列表
export function listImportDetail(query) {
  return request({
    url: '/system/detail/list',
    method: 'get',
    params: query
  })
}

// 查询导入错误明细详细
export function getImportDetail(id) {
  return request({
    url: '/system/detail/get/' + id,
    method: 'get'
  })
}

// 新增导入错误明细
export function addImportDetail(data) {
  return request({
    url: '/system/detail/add',
    method: 'post',
    data: data
  })
}

// 修改导入错误明细
export function updateImportDetail(data) {
  return request({
    url: '/system/detail/edit',
    method: 'post',
    data: data
  })
}

// 删除导入错误明细
export function delImportDetail(id) {
  return request({
    url: '/system/detail/remove/' + id,
    method: 'get'
  })
}

// 导出导入错误明细
export function exportImportDetail(query) {
  return request({
    url: '/system/detail/export',
    method: 'get',
    params: query
  })
}
